com.android.agf.fragments

## Class EditWebviewFragment.MyUpdateEdit

- java.lang.Object
- - android.os.AsyncTask<String,Void,String>
  - - com.android.agf.asynctask.UpdateDataComponent
    - - com.android.agf.fragments.EditWebviewFragment.MyUpdateEdit

- Enclosing class:
    EditWebviewFragment

       class EditWebviewFragment.MyUpdateEdit
      extends UpdateDataComponent

  classe local per actualitzar les dades del component en el dashbaord
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditWebviewFragment.MyUpdateEdit(Context ctx, DashComponent comp, int w, int h, float x, float y, String id, String user, String dash)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onPostExecute(String result)`
    `protected void` | `onPreExecute()`

    - ### Methods inherited from class com.android.agf.asynctask.UpdateDataComponent

      `doInBackground`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditWebviewFragment.MyUpdateEdit

          public EditWebviewFragment.MyUpdateEdit(Context ctx,
                                          DashComponent comp,
                                          int w,
                                          int h,
                                          float x,
                                          float y,
                                          String id,
                                          String user,
                                          String dash)

  - ### Method Detail

    - #### onPreExecute

          protected void onPreExecute()

      Overrides:
        `onPreExecute` in class `AsyncTask<String,Void,String>`

    - #### onPostExecute

          protected void onPostExecute(String result)

      Overrides:
        `onPostExecute` in class `AsyncTask<String,Void,String>`